org.apache.tinkerpop.gremlin.process.traversal

## Class CoreTraversalTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.CoreTraversalTest

-     public class CoreTraversalTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Pieter Martin

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreTraversalTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAllowEmbeddedRemoteConnectionUsage()`
    `void` | `shouldFilterOnIterate()`
    `void` | `shouldHaveNextAndToCollectionWorkProperly()`
    `void` | `shouldHavePropertyForEachRemainingBehaviorEvenWithStrategyRewrite()`
    `void` | `shouldLoadEdgesViaEdges()`
    `void` | `shouldLoadEdgesViaIds()`
    `void` | `shouldLoadVerticesViaIds()`
    `void` | `shouldLoadVerticesViaVertices()`
    `void` | `shouldNeverPropagateANoBulkTraverser()`
    `void` | `shouldNeverPropagateANullValuedTraverser()`
    `void` | `shouldNotAlterTraversalAfterTraversalBecomesLocked()`
    `void` | `shouldNotThrowFastNoSuchElementException()`
    `void` | `shouldThrowExceptionWhenIdsMixed()`
    `void` | `shouldThrowFastNoSuchElementExceptionInNestedTraversals()`
    `void` | `shouldThrowNiceExceptionWhenMapKeyIsNotResolvingToNumberInMathStep()`
    `void` | `shouldThrowNiceExceptionWhenMapKeyNotFoundInMathStep()`
    `void` | `shouldTraverseIfAutoTxEnabledAndOriginalTxIsClosed()`
    `void` | `shouldTraverseIfManualTxEnabledAndOriginalTxIsClosed()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreTraversalTest

          public CoreTraversalTest()

  - ### Method Detail

    - #### shouldNeverPropagateANoBulkTraverser

          public void shouldNeverPropagateANoBulkTraverser()

    - #### shouldNeverPropagateANullValuedTraverser

          public void shouldNeverPropagateANullValuedTraverser()

    - #### shouldFilterOnIterate

          public void shouldFilterOnIterate()

    - #### shouldLoadVerticesViaIds

          public void shouldLoadVerticesViaIds()

    - #### shouldLoadEdgesViaIds

          public void shouldLoadEdgesViaIds()

    - #### shouldLoadVerticesViaVertices

          public void shouldLoadVerticesViaVertices()

    - #### shouldLoadEdgesViaEdges

          public void shouldLoadEdgesViaEdges()

    - #### shouldThrowExceptionWhenIdsMixed

          public void shouldThrowExceptionWhenIdsMixed()

    - #### shouldHaveNextAndToCollectionWorkProperly

          public void shouldHaveNextAndToCollectionWorkProperly()

    - #### shouldHavePropertyForEachRemainingBehaviorEvenWithStrategyRewrite

          public void shouldHavePropertyForEachRemainingBehaviorEvenWithStrategyRewrite()

    - #### shouldNotAlterTraversalAfterTraversalBecomesLocked

          public void shouldNotAlterTraversalAfterTraversalBecomesLocked()

    - #### shouldTraverseIfAutoTxEnabledAndOriginalTxIsClosed

          public void shouldTraverseIfAutoTxEnabledAndOriginalTxIsClosed()

    - #### shouldTraverseIfManualTxEnabledAndOriginalTxIsClosed

          public void shouldTraverseIfManualTxEnabledAndOriginalTxIsClosed()

    - #### shouldNotThrowFastNoSuchElementException

          public void shouldNotThrowFastNoSuchElementException()

    - #### shouldThrowFastNoSuchElementExceptionInNestedTraversals

          public void shouldThrowFastNoSuchElementExceptionInNestedTraversals()

    - #### shouldAllowEmbeddedRemoteConnectionUsage

          public void shouldAllowEmbeddedRemoteConnectionUsage()

    - #### shouldThrowNiceExceptionWhenMapKeyNotFoundInMathStep

          public void shouldThrowNiceExceptionWhenMapKeyNotFoundInMathStep()

    - #### shouldThrowNiceExceptionWhenMapKeyIsNotResolvingToNumberInMathStep

          public void shouldThrowNiceExceptionWhenMapKeyIsNotResolvingToNumberInMathStep()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.